Add a bad-case test for the key generation.
[libgcrypt.git] / ChangeLog
index 972f43f..8842917 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,113 @@
+2008-09-08  Werner Koch  <wk@g10code.com>
+
+       Release 1.4.2.
+
+2008-09-01  Werner Koch  <wk@g10code.com>
+
+       Release 1.4.2rc2.
+
+       * configure.ac: Update svn_revision macro.
+
+2008-08-22  Werner Koch  <wk@g10code.com>
+
+       * configure.ac: Add option --enable-hmac-binary-check.
+       (DL_LIBS): Check whether -ldl is required.
+
+2008-08-19  Werner Koch  <wk@g10code.com>
+
+       Release 1.4.2rc1.
+       
+       * configure.ac: Bump LT version to C16/A5/R0.
+
+2008-08-18  Werner Koch  <wk@g10code.com>
+
+       * Makefile.am (EXTRA_DIST): Remove the unused BUGS file.
+
+2008-08-15  Werner Koch  <wk@g10code.com>
+
+       * configure.ac (AH_BOTTOM): Define GCRY_GPG_ERR_NOT_OPERATIONAL.
+
+2008-07-05  Werner Koch  <wk@g10code.com>
+
+       * random/: New.
+       * Makefile.am (DIST_SUBDIRS): Add random.
+       * configure.ac (AC_CONFIG_FILES): Add random/Makefile.
+
+2008-04-25  Werner Koch  <wk@g10code.com>
+
+       Release 1.4.1.
+       
+       * configure.ac: Bump LT version to C15/A4/R4.
+
+2008-04-22  Werner Koch  <wk@g10code.com>
+
+       * configure.ac: Set version to 1.4.1rc1.
+
+2008-04-18  Werner Koch  <wk@g10code.com>
+
+       * configure.ac (AH_BOTTOM): Add CAMELLIA_EXT_SYM_PREFIX.
+       (NAME_OF_DEV_RANDOM):  Remove special cases for Solaris etc.  This
+       matches the gnupg 1.4.9 version.
+
+2008-04-01  Werner Koch  <wk@g10code.com>
+
+       * configure.ac (AC_INIT): Fix quoting.
+
+2008-03-19  Werner Koch  <wk@g10code.com>
+
+       * configure.ac: Fix the tests for USE_<algo> to either define or
+       undef the macros.  Suggested by Dirk Stoecker.
+
+2008-03-18  Werner Koch  <wk@g10code.com>
+
+       * configure.ac: Test for uintptr_t.
+
+2008-02-18  Werner Koch  <wk@g10code.com>
+
+       * configure.ac (IS_DEVELOPMENT_VERSION): Set depending on the my_svn.
+
+2007-12-11  Werner Koch  <wk@g10code.com>
+
+       * configure.ac: We actually require libgpg-error 1.4.  Reported by
+       Tim Mooney.
+
+2007-12-10  Werner Koch  <wk@g10code.com>
+
+       Released 1.4.0.
+       
+       * configure.ac: Set LT to C15/A4/R3.
+
+2007-12-05  Werner Koch  <wk@g10code.com>
+
+       * configure.ac: Add option --disable-padlock-support.
+
+2007-12-03  Werner Koch  <wk@g10code.com>
+
+       Released 1.3.2.
+
+       * configure.ac: Set LT to C15/A4/R2.
+
+       * config.sub, config.guess: Update to version 2007-11-19.
+
+2007-10-30  Werner Koch  <wk@g10code.com>
+
+       * configure.ac: Protect config.h against double inclusion.
+
+2007-10-26  Werner Koch  <wk@g10code.com>
+
+       Released 1.3.1.
+
+       * configure.ac: Set LT to C15/A4/R1.
+
+2007-08-22  Werner Koch  <wk@g10code.com>
+
+       * README: Rewrite the license description.
+       * configure.ac (USE_RNDW32, USE_RNDUNIX): Unmark as GPL modules.
+
+2007-08-08  Werner Koch  <wk@g10code.com>
+
+       * configure.ac: Use $host and not $target.
+
 2007-07-26  Werner Koch  <wk@g10code.com>
 
        * acinclude.m4 (GNUPG_SYS_SYMBOL_UNDERSCORE): Fix a syntax error
@@ -1202,7 +1312,7 @@ Fri Feb 13 19:43:41 1998  Werner Koch  (wk@isil.d.shuttle.de)
 
        
  Copyright 1998, 1999, 2000, 2001, 2002, 2003,
-          2004, 2006 Free Software Foundation, Inc.
+          2004, 2006, 2007, 2008 Free Software Foundation, Inc.
 
  This file is free software; as a special exception the author gives
  unlimited permission to copy and/or distribute it, with or without